/* TAG NAMES START */

html {
  scroll-behavior: smooth;
}

h1 {
	color: var(--ww);
	font-weight: 500;
	font-size: clamp( 17px , 13px + 1.4vw, 21px);
	margin-bottom: 4px;
}

h2 {
	color: var(--ww);
	font-weight: 700;
	font-size: clamp( 29px , 25px + 1.8vw, 72px);
	line-height: 1.2em;
	font-family: EBO, Arial;
}

h3{
	font-size: min( 1em + 3vw, 2.5em);
	line-height: 1.27;
	font-weight: 900;
	color: var(--gb);
	text-align: left;
	letter-spacing: -1px;
	font-family: EBO, Arial;
	margin-top: 0.3em;
	margin-bottom: clamp( 0.6em , 0.1em + 0.9vw, 1.4em);
}

h4{
	font-family: SBO, Arial;
	font-size: clamp( 1.05em , 0.4em + 2.5vw, 1.42em);
}

p{
	color: var(--gb);
	text-align: left;
	line-height: 1.27;
	font-size: clamp( 1em , 0.9em + 0.9vw, 1.1em);
	margin-bottom: clamp( 1em , 1.9vw, 1.7em);
	font-family: LIT, Arial;
}

a {
  text-decoration: none;
  color: var(--ww);
}

main{
	margin-inline: auto;
	max-width: 1200px;
	padding-inline: min(1em + 3vw, 4em);
}

/* TAG NAMES END - CLASSES START*/



@keyframes show_h2 {
  from  {	opacity: 0; top: 1em; }
  to { opacity: 1; top: 0em;}
}

.show{
	position: relative;
	animation: show_h2 1.1s ease-in-out forwards;
}

.mobile-nav-toggle{
	position: absolute;
	top: 0.8em;
	right: min(0.6em + 2.7vw, 2em);
	background-color: transparent;
	border: 1px solid rgba(74, 74, 74, 0.35);
	padding: 2px 1px;
	border-radius: 2px;
	display: none;
}

.boredered-pad{
	border: 1px solid #DEE2E6;
	padding: 1em;
	height: fit-content; /*Dont strech grid items*/
}

.boredered-pad a{
	color: #000;
}

.card{
	border: 1px solid #DEE2E6;
	min-height: 100%; /*strech grid items*/
	text-align: center;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: space-between;
	color: var(--gb);
	font-family: LIT, Arial;
}

.card > div:first-child{
	padding: 0.4em 0.8em;	
	background-color: var(--maino);
	font-family: EBO, Arial;
	font-size: min(1.1em + 3vw, 2.3em);
	width: 100%;
}

.card div:not(:first-child){
	line-height: 3;
	white-space: nowrap;
}

.card > .linkz{
	margin-top: 0.5em;
	margin-bottom: 1.5em;
}

.question{
	margin-bottom: clamp( 0.3em , 1vw, 0.8em);
	background-color: var(--maino);
	width: fit-content;
	color: var(--ww);
	line-height: 1.2;
	letter-spacing: 1px;
	font-size: clamp(0.6em, 0.6em + 0.9vw, 0.8em);
	padding: 0.04em 0.2em;
	font-family: SBO, Arial;
}

.topnav{
	display: flex;
	justify-content: space-between;
	align-items: center;
	background-color: transparent;
	padding-block: 1em;
	padding-inline: min(1em + 3vw, 4em);
	margin-bottom: -92px;
	max-width: 1140px;
	margin-inline:auto;
}


.flexify{
	display: flex;
	gap: 1em;
	padding: clamp(1.2em, 4vw, 1.6em);
	align-items: center;
}

.flexify2{
	display: flex;
	gap: 1em;
	align-items: flex-start;
}

.flexify3{
	display: flex;
	gap: 1em;
	align-items: start;
	flex-direction: column;
	font-family: LIT, Arial;
	font-size: 0.9em;
	white-space: nowrap;
}

.aftersvg{
	display: grid;
	gap: 0.4em;
}

.topnav-links > ul{
	margin: 0;
	padding: 0;
	display: flex;
	list-style: none;
}

.topnav-links li a{
	text-decoration: none;
	color: var(--ww);
	font-family: SBO, Arial;
	display: block;
	padding-left: 0;
	padding-right: clamp(1.2em, 4vw, 2em);
	transition: color 0.15s ease-in-out;
}

.topnav-links li a:hover{
	color: var(--maino);
}

.b{
	font-family: SBO, Arial;
	font-size: clamp( 1.05em , 0.3em + 0.8vw, 1.24em);
	/* white-space: nowrap; */
	padding-bottom: 0.6em;
	text-align: center;
}

.mainc{
	color: var(--maino);
}

.big{
	font-family: EBO, Arial;
	font-size: min( 1.2em + 3.1vw, 2.6em);
}

.stilist{
	list-style-image: url(../material/arrow.svg);
	padding-left: 1.4em;
	margin-top: 0em;
}

.linkz {
	color: #212529;
	background-color: var(--maino);
	padding: 0.8em 1.2em;
	text-align: center;
	text-decoration: none;
	display: inline-block;
	font-family: SBO, Arial;
	transition: background-color 0.15s ease-in-out;
}

.linkz:hover{
	background-color: hsl(31, 98%, 60%);
}

.linkz:active {
	border: 2px solid hsl(31, 98%, 72%);
	margin: -2px;
}

.limiter{
	margin-inline: auto;
	max-width: 1140px;
	padding-left: 8em; 
	padding-right: 8em;
}

.gridify{
	margin-block: clamp( 3em , 2em + 2vw + 6vh, 8em);
	display: grid;
	gap: 2em;
	/* grid-row-gap: 5em; */
	grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
}

.thirds{
	grid-template-columns: 1fr 2fr;
}

.twos{
	grid-template-columns: 1fr 1fr;
}

.quad{
	display: grid;
	gap: 2em;
	grid-template-columns: 1fr 1fr;
}

.cards{
	grid-template-columns: 2fr 2fr 3fr;
}

.streching {
	margin-top: 0;
}

.streching > div {
	min-height: 100%;
}

.quad.streching > div {
	flex-direction: column;
	gap: 0;
	justify-content: center;
	padding: clamp(0.6em, 3vw, 1.3em);
}

.forty {
	grid-template-columns: 4fr 6fr;
	margin-bottom: 2em;
}

.footer-nav {
	grid-template-columns: repeat(4, 1fr);
	background-color: var(--gb);
	box-shadow: 0 0 0 100vmax var(--gb);
	clip-path: inset(0 -100vmax);
	margin-bottom: 0;
	color: var(--ww);
	font-size: clamp( 1em , 0.9em + 0.9vw, 1.1em);
	margin-inline: auto;
	max-width: 1200px;
	padding: min(1em + 3vw, 4em);
}

.footer-nav p {
	color: var(--ww);
}

.footer-nav .b {
	font-size: 1.12em;
}

.footer-nav > div{
	display:flex;
	flex-direction:column;
	align-items: flex-start;
}

.hover-or:hover{
	transition: color 0.15s ease-in-out;
	color: var(--maino);
	text-decoration: underline;
}

/* CLASSES END - IDENTITTIES START */

#logo1{
	height: 60px;
	width: 80px;
}

#logo2{
	height: 120px;
	width: auto;
	margin-bottom: 1em;
}

path{
	fill: var(--maino);
}

#postload1{
	visibility: hidden;
	background-image: url(../material/bg2.jpg);
}

#postload2{
	visibility: hidden;
	background-image: url(../material/bg3.jpg);
}

#CurrentPage{
	color: var(--maino);
}

#Hero{
	background-color: var(--gg);
	background-image: url(../material/bg1.jpg);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	padding-top: clamp(242px, 242px + 7.5vh, 476px);
	padding-bottom: clamp(150px, 150px + 7.5vh, 384px);
	animation-duration: 15s;
	animation-iteration-count: infinite;
	animation-timing-function: ease-in-out;
	overflow-x: hidden;
}

@keyframes carouselhero{
	0% { background-image:url(../material/bg1.jpg); }
	30% { background-image:url(../material/bg1.jpg); }
	37% { background-image:url(../material/bg2.jpg); }
	62% { background-image:url(../material/bg2.jpg); }
	69% { background-image:url(../material/bg3.jpg); }
	93% { background-image:url(../material/bg3.jpg); }
	100% { background-image:url(../material/bg1.jpg); }
}



/* MEDIA */


@media (max-width: 825px) {
	
	main{
		padding-inline: min(0.6em + 2.7vw, 2em);
		max-width: 600px;
	}
	
/* 	iframe{
		width:325; 
		height:300;
	} */
	
	.topnav-links{
		width: 100%;
		margin-top: 0;
		position: relative;
		overflow: hidden;
		/* display: none; */
		height: 0px;
		transition: height 0.35s ease;
		visibility: hidden;
	}
	
	.topnav-links li a{
		line-height: 2.8;
	}
		
	.topnav-links ul{
		flex-direction: column;
	}
	
	.topnav{
		flex-direction: column;
		align-items: flex-start;
		padding-inline: min(0.6em + 2.7vw, 2em);
		background-color: var(--gb);
		margin-bottom: 0px;
	}
	
	.forty {
		grid-template-columns: repeat(auto-fit, minmax(270px, 1fr));
	}
	
	.quad,.cards,.footer-nav,.gridify{
		grid-template-columns: 1fr;
	}
	
	#logo1{
		height: 35px;
		width: 46px;
	}
	
	#Hero{
		padding-block: clamp(100px, 13vh, 250px);
		animation-name: carouselherosm;
		background-image: url(../material/bg1_sm.jpg);
	}
	@keyframes carouselherosm{
		0% { background-image:url(../material/bg1_sm.jpg); }
		30% { background-image:url(../material/bg1_sm.jpg); }
		37% { background-image:url(../material/bg2_sm.jpg); }
		62% { background-image:url(../material/bg2_sm.jpg); }
		69% { background-image:url(../material/bg3_sm.jpg); }
		93% { background-image:url(../material/bg3_sm.jpg); }
		100% { background-image:url(../material/bg1_sm.jpg); }
	}
	
	#postload1{
		background-image: url(../material/bg2_sm.jpg);
	}

	#postload2{
		background-image: url(../material/bg3_sm.jpg);
	}
	
	.visually-hidden{
		clip: rect(0 0 0 0);
		clip-path: inset(50%);
		height: 1px;
		overflow: hidden;
		position: absolute;
		white-space: nowrap;
		width: 1px;
	}
	
	.limiter{
		padding-left: clamp(1.5em, 0.3em + 9vw, 7em); 
		padding-right: clamp(1.5em, 0.3em + 9vw, 7em);
	}

	.mobile-nav-toggle{
		display: inline;
	}
	
	.mobile-nav-toggle:hover{
		border: 1px solid rgba(74, 74, 74, 0.65);
	}
	
	.mobile-nav-toggle:active{
		border: 1px solid rgba(74, 74, 74, 1);
	}
	
	.navshow{
		visibility: visible;
		height: 11em;
		margin-top: 0.9em;
		transition: height 0.35s ease;
	}
	
	.linkz {
		padding: 0.7em 1em;
		font-size: 15px;
	}

	
	#chorder{
		order: -1;
	}
}

@media (min-width: 825px) and (max-width: 980px) {
	.thirds, .twos{
		grid-template-columns: 1fr;
	}
	
	.cards, .footer-nav {
		grid-template-columns: 1fr 1fr;
	}
	
	#chorder{
		order: -1;
		grid-column: span 2;
	}
	


}



